Package proton :: Class Sender

[frames] | no frames]

# Class Sender

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
         object --+   |
                  |   |
           Endpoint --+
                      |
                   Link --+
                          |
                         Sender

A link over which messages are sent.

Instance Methods

delivery_tag(self) | source code

offered(self, n) | source code

send(self, obj, tag=None) Send specified object over this sender; the object is expected to have a send() method on it that takes the sender and an optional tag as arguments. | source code

stream(self, data) Send specified data as part of the current delivery | source code

Inherited from `Link`: `__init__`, `advance`, `close`, `delivery`, `detach`, `drained`, `free`, `next`, `open` Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `Link`: `wrap`

Class Variables
Inherited from `Link`: `RCV_FIRST`, `RCV_SECOND`, `SND_MIXED`, `SND_SETTLED`, `SND_UNSETTLED` Inherited from `Endpoint`: `LOCAL_ACTIVE`, `LOCAL_CLOSED`, `LOCAL_UNINIT`, `REMOTE_ACTIVE`, `REMOTE_CLOSED`, `REMOTE_UNINIT`

Properties

Inherited from `Link`: `available`, `connection`, `credit`, `current`, `drain_mode`, `is_receiver`, `is_sender`, `name`, `queued`, `rcv_settle_mode`, `remote_rcv_settle_mode`, `remote_snd_settle_mode`, `remote_source`, `remote_target`, `session`, `snd_settle_mode`, `source`, `state`, `target`, `unsettled`

Inherited from `Endpoint`: `handler`, `remote_condition`, `transport`

Inherited from `object`: `__class__`

Method Details

### send(self, obj, tag=None)

source code

Send specified object over this sender; the object is expected to have a send() method on it that takes the sender and an optional tag as arguments.

Where the object is a Message, this will send the message over this link, creating a new delivery for the purpose.

### stream(self, data)

source code

Send specified data as part of the current delivery

Parameters:
  - `data` (binary) - data to send